# Varbase Email

Adds HTML email templates for Drupal.

## Varbase Email Module

{% hint style="info" %}
Varbase emailing features are bundled through the **Varbase Email** module.\
GitHub: <https://github.com/Vardot/varbase_email>\
Drupal.org: <https://www.drupal.org/project/varbase_email>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Email** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_email
```

Brings in the following core and contributed modules to your site:

| Module                                                              | Purpose                                           |
| ------------------------------------------------------------------- | ------------------------------------------------- |
| [**Symfony Mailer**](https://www.drupal.org/project/symfony_mailer) | Integrate Symfony Mailer into Drupal.             |
| [**Easy Email**](https://www.drupal.org/project/easy_email)         | A simple system for sending HTML-formatted emails |

{% content-ref url="/pages/GNvH5NmVPloDxzErNq2S" %}
[Configure Symfony Mailer](/10.1.x/developers/configuring-a-varbase-site/configuring-varbase-mailer-settings/configure-symfony-mailer.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/10.1.x/developers/understanding-varbase/core-components/varbase-email.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
